/*
 * int_ctrl.c
 *
 *  Created on: 23.02.2013
 *      Author: Pski
 */
#include <avr/io.h>
#include "int_ctrl.h"

void int1_switch_falling_edge(void) {
	MCUCR &= ~(1 << ISC10);
	GIFR |= (1 << INTF1); // clear external interrupt flag
}

void int1_switch_rising_edge(void) {
	MCUCR |= (1 << ISC10);
	GIFR |= (1 << INTF1); // clear external interrupt flag
}

void int1_select_falling_edge() {
	MCUCR =  (1 << ISC11) | (0 << ISC10);
}

void int1_enable(void) {
	GICR |= 1 << INT1;
}

void int1_disable(void) {
	GICR &= ~(1 << INT1);
}

