/*
 * timer_ctrl.c
 *
 *  Created on: 23.02.2013
 *      Author: Pski
 */
#include <avr/io.h>
#include "timer_ctrl.h"

void timer1_start_normal() {
	TCCR1B = (0 << CS12) | (0 << CS11) | (1 << CS10); // no prescaler
}
void timer1_stop() {
	TCCR1B = (0 << CS12) | (0 << CS11) | (0 << CS10); // stop timer
}

void timer1_stop_ctc() {
	TCCR1B = (0 << CS12) | (0 << CS11) | (0 << CS10); // stop timer
	TIMSK &= ~(1 << OCIE1A); // disable ctc interrupt
}

void timer1_start_ctc(uint16_t cmp) {
	OCR1A = cmp; // set value to output compare register
	TCCR1B = (1 << WGM12) | (0 << CS12) | (0 << CS11) | (1 << CS10); // ctc, no prescaler
	//Enable the Output Compare A interrupt
	TIMSK |= (1 << OCIE1A);
}

